Index: trunk/lib/ACL.inc.php
===================================================================
--- trunk/lib/ACL.inc.php	(revision 478)
+++ trunk/lib/ACL.inc.php	(revision 479)
@@ -56,5 +56,5 @@
     public function __construct()
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         // Configure the cache object.
@@ -93,5 +93,5 @@
     public function setParam($params)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (isset($params) && is_array($params)) {
@@ -112,5 +112,5 @@
     public function getParam($param)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (array_key_exists($param, $this->_params)) {
@@ -131,6 +131,6 @@
     public function initDB($recreate_db=false)
     {
-		$app =& App::getInstance();
-		$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
         static $_db_tested = false;
@@ -715,5 +715,5 @@
     public function requireAllow($aro, $aco=null, $axo=null, $message='', $type=MSG_NOTICE, $file=null, $line=null)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (!$this->check($aro, $aco, $axo)) {
Index: trunk/lib/App.inc.php
===================================================================
--- trunk/lib/App.inc.php	(revision 478)
+++ trunk/lib/App.inc.php	(revision 479)
@@ -180,9 +180,9 @@
         $this->timer->start('_app');
 
-		// The codebase now requires a minimum PHP version.
-		$codebase_minimum_php_version = '5.3.0';
-		if (version_compare(PHP_VERSION, $codebase_minimum_php_version, '<')) {
-			$this->logMsg(sprintf('Codebase minimum PHP version of %s not satisfied (you have %s). ', $codebase_minimum_php_version, phpversion()), LOG_NOTICE, __FILE__, __LINE__);
-		}
+        // The codebase now requires a minimum PHP version.
+        $codebase_minimum_php_version = '5.3.0';
+        if (version_compare(PHP_VERSION, $codebase_minimum_php_version, '<')) {
+            $this->logMsg(sprintf('Codebase minimum PHP version of %s not satisfied (you have %s). ', $codebase_minimum_php_version, phpversion()), LOG_NOTICE, __FILE__, __LINE__);
+        }
     }
 
@@ -615,6 +615,6 @@
         $message = strip_tags(preg_replace('/\s+/', ' ', $message), (!empty($strip_tags_allow[1]) ? join('> ', $strip_tags_allow[1]) . '>' : null));
 
-		// Serialize multi-line messages.
-	    $message = preg_replace('/\s+/m', ' ', $message);
+        // Serialize multi-line messages.
+        $message = preg_replace('/\s+/m', ' ', $message);
 
         // Store this event under a unique key, counting each time it occurs so that it only gets reported a limited number of times.
@@ -1261,60 +1261,60 @@
     }
 
-	/*
-	* Sets a cookie, with error checking and some sane defaults.
-	*
-	* @access   public
-	* @param	string	$name		The name of the cookie.
-	* @param	string	$value		The value of the cookie.
-	* @param	string	$expire		The time the cookie expires, as a unix timestamp or string value passed to strtotime.
-	* @param	string	$path		The path on the server in which the cookie will be available on
-	* @param	string	$domain		The domain that the cookie is available to
-	* @param	bool	$secure		Indicates that the cookie should only be transmitted over a secure HTTPS connection from the client.
-	* @param	bool	$httponly	When TRUE the cookie will be made accessible only through the HTTP protocol (makes cookies unreadable to javascript).
-	* @return	bool				True on success, false on error.
-	* @author   Quinn Comendant <quinn@strangecode.com>
-	* @version  1.0
-	* @since    02 May 2014 16:36:34
-	*/
-	public function setCookie($name, $value, $expire='+10 years', $path=null, $domain=null, $secure=null, $httponly=null)
-	{
-		if (!is_scalar($name)) {
-			$this->logMsg(sprintf('Cookie name must be scalar, is not: %s', getDump($name)), LOG_NOTICE, __FILE__, __LINE__);
-			return false;
-		}
-		if (!is_scalar($value)) {
-			$this->logMsg(sprintf('Cookie "%s" value must be scalar, is not: %s', $name, getDump($value)), LOG_NOTICE, __FILE__, __LINE__);
-			return false;
-		}
-
-		// Defaults.
-		$expire = (is_numeric($expire) ? $expire : (is_string($expire) ? strtotime($expire) : $expire));
-		$secure = $secure ?: ('' != getenv('HTTPS') && $this->getParam('ssl_enabled'));
-		$httponly = $httponly ?: true;
-
-		// Make sure the expiration date is a valid 32bit integer.
-		if (is_int($expire) && $expire > 2147483647) {
-			$this->logMsg(sprintf('Cookie "%s" expire time exceeds a 32bit integer (%s)', $key, date('r', $expire)), LOG_NOTICE, __FILE__, __LINE__);
-		}
-
-		// Measure total cookie length and warn if larger than max recommended size of 4093.
-		// https://stackoverflow.com/questions/640938/what-is-the-maximum-size-of-a-web-browsers-cookies-key
-		// The date the header name include 51 bytes: Set-Cookie: ; expires=Fri, 03-May-2024 00:04:47 GMT
-		$cookielen = strlen($name . $value . $path . $domain . ($secure ? '; secure' : '') . ($httponly ? '; httponly' : '')) + 51;
-		if ($cookielen > 4093) {
-			$this->logMsg(sprintf('Cookie "%s" has a size greater than 4093 bytes (is %s bytes)', $key, $cookielen), LOG_NOTICE, __FILE__, __LINE__);
-		}
-
-		// Ensure PHP version allow use of httponly.
-		if (version_compare(PHP_VERSION, '5.2.0', '>=')) {
-			$ret = setcookie($name, $value, $expire, $path, $domain, $secure, $httponly);
-		} else {
-			$ret = setcookie($name, $value, $expire, $path, $domain, $secure);
-		}
-
-		if (false === $ret) {
-			$this->logMsg(sprintf('Failed to set cookie (%s=%s) probably due to output before headers.', $name, $value), LOG_NOTICE, __FILE__, __LINE__);
-		}
-		return $ret;
-	}
+    /*
+    * Sets a cookie, with error checking and some sane defaults.
+    *
+    * @access   public
+    * @param    string  $name       The name of the cookie.
+    * @param    string  $value      The value of the cookie.
+    * @param    string  $expire     The time the cookie expires, as a unix timestamp or string value passed to strtotime.
+    * @param    string  $path       The path on the server in which the cookie will be available on
+    * @param    string  $domain     The domain that the cookie is available to
+    * @param    bool    $secure     Indicates that the cookie should only be transmitted over a secure HTTPS connection from the client.
+    * @param    bool    $httponly   When TRUE the cookie will be made accessible only through the HTTP protocol (makes cookies unreadable to javascript).
+    * @return   bool                True on success, false on error.
+    * @author   Quinn Comendant <quinn@strangecode.com>
+    * @version  1.0
+    * @since    02 May 2014 16:36:34
+    */
+    public function setCookie($name, $value, $expire='+10 years', $path=null, $domain=null, $secure=null, $httponly=null)
+    {
+        if (!is_scalar($name)) {
+            $this->logMsg(sprintf('Cookie name must be scalar, is not: %s', getDump($name)), LOG_NOTICE, __FILE__, __LINE__);
+            return false;
+        }
+        if (!is_scalar($value)) {
+            $this->logMsg(sprintf('Cookie "%s" value must be scalar, is not: %s', $name, getDump($value)), LOG_NOTICE, __FILE__, __LINE__);
+            return false;
+        }
+
+        // Defaults.
+        $expire = (is_numeric($expire) ? $expire : (is_string($expire) ? strtotime($expire) : $expire));
+        $secure = $secure ?: ('' != getenv('HTTPS') && $this->getParam('ssl_enabled'));
+        $httponly = $httponly ?: true;
+
+        // Make sure the expiration date is a valid 32bit integer.
+        if (is_int($expire) && $expire > 2147483647) {
+            $this->logMsg(sprintf('Cookie "%s" expire time exceeds a 32bit integer (%s)', $key, date('r', $expire)), LOG_NOTICE, __FILE__, __LINE__);
+        }
+
+        // Measure total cookie length and warn if larger than max recommended size of 4093.
+        // https://stackoverflow.com/questions/640938/what-is-the-maximum-size-of-a-web-browsers-cookies-key
+        // The date the header name include 51 bytes: Set-Cookie: ; expires=Fri, 03-May-2024 00:04:47 GMT
+        $cookielen = strlen($name . $value . $path . $domain . ($secure ? '; secure' : '') . ($httponly ? '; httponly' : '')) + 51;
+        if ($cookielen > 4093) {
+            $this->logMsg(sprintf('Cookie "%s" has a size greater than 4093 bytes (is %s bytes)', $key, $cookielen), LOG_NOTICE, __FILE__, __LINE__);
+        }
+
+        // Ensure PHP version allow use of httponly.
+        if (version_compare(PHP_VERSION, '5.2.0', '>=')) {
+            $ret = setcookie($name, $value, $expire, $path, $domain, $secure, $httponly);
+        } else {
+            $ret = setcookie($name, $value, $expire, $path, $domain, $secure);
+        }
+
+        if (false === $ret) {
+            $this->logMsg(sprintf('Failed to set cookie (%s=%s) probably due to output before headers.', $name, $value), LOG_NOTICE, __FILE__, __LINE__);
+        }
+        return $ret;
+    }
 } // End.
Index: trunk/lib/Auth_SQL.inc.php
===================================================================
--- trunk/lib/Auth_SQL.inc.php	(revision 478)
+++ trunk/lib/Auth_SQL.inc.php	(revision 479)
@@ -129,5 +129,5 @@
     public function __construct($namespace='')
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         $this->_ns = $namespace;
@@ -155,6 +155,6 @@
     public function initDB($recreate_db=false)
     {
-		$app =& App::getInstance();
-		$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
 
@@ -276,5 +276,5 @@
     public function getParam($param)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (array_key_exists($param, $this->_params)) {
@@ -293,5 +293,5 @@
     public function clear()
     {
-		$db =& DB::getInstance();
+        $db =& DB::getInstance();
 
         $this->initDB();
@@ -363,6 +363,6 @@
     public function authenticate($username, $password)
     {
-		$app =& App::getInstance();
-    	$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
         $this->initDB();
@@ -414,6 +414,6 @@
     public function login($username, $password)
     {
-		$app =& App::getInstance();
-    	$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
         $this->initDB();
@@ -541,6 +541,6 @@
     public function isLoggedIn($user_id=null)
     {
-		$app =& App::getInstance();
-    	$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
         $this->initDB();
@@ -673,5 +673,5 @@
     public function requireLogin($message='', $type=MSG_NOTICE, $file=null, $line=null)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (!$this->isLoggedIn()) {
@@ -695,6 +695,6 @@
     public function blockAccount($user_id=null, $reason='')
     {
-		$app =& App::getInstance();
-    	$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
         $this->initDB();
@@ -725,5 +725,5 @@
     public function isBlocked($user_id=null)
     {
-    	$db =& DB::getInstance();
+        $db =& DB::getInstance();
 
         $this->initDB();
@@ -747,5 +747,5 @@
     public function unblockAccount($user_id=null)
     {
-		$db =& DB::getInstance();
+        $db =& DB::getInstance();
 
         $this->initDB();
@@ -771,5 +771,5 @@
     public function usernameExists($username)
     {
-		$db =& DB::getInstance();
+        $db =& DB::getInstance();
 
         $this->initDB();
@@ -791,5 +791,5 @@
     public function getUsername($user_id)
     {
-		$db =& DB::getInstance();
+        $db =& DB::getInstance();
 
         $this->initDB();
@@ -903,6 +903,6 @@
     public function setPassword($user_id=null, $password)
     {
-		$app =& App::getInstance();
-    	$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
         $this->initDB();
@@ -953,6 +953,6 @@
     public function resetPassword($user_id=null, $reason='')
     {
-		$app =& App::getInstance();
-    	$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
         $this->initDB();
@@ -1040,5 +1040,5 @@
     public function requireAccessClearance($security_zone, $message='')
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         $zone_members = preg_split('/,\s*/', $security_zone);
Index: trunk/lib/AuthorizeNet.inc.php
===================================================================
--- trunk/lib/AuthorizeNet.inc.php	(revision 478)
+++ trunk/lib/AuthorizeNet.inc.php	(revision 479)
@@ -155,5 +155,5 @@
     public function setParam($params)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (isset($params) && is_array($params)) {
@@ -174,5 +174,5 @@
     public function getParam($param)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (array_key_exists($param, $this->_params)) {
@@ -194,5 +194,5 @@
     public function process()
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (empty($this->_params['x_login'])) {
Index: trunk/lib/CSS.inc.php
===================================================================
--- trunk/lib/CSS.inc.php	(revision 478)
+++ trunk/lib/CSS.inc.php	(revision 479)
@@ -50,5 +50,5 @@
     public function setParam($params)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (isset($params) && is_array($params)) {
@@ -69,5 +69,5 @@
     public function getParam($param)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (array_key_exists($param, $this->_params)) {
@@ -89,5 +89,5 @@
     public function setFile($file, $realms='')
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (!is_array($realms)) {
@@ -117,5 +117,5 @@
     public function headers($realm='')
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         $realm = '' == $realm ? 'default' : $realm;
Index: trunk/lib/Cache.inc.php
===================================================================
--- trunk/lib/Cache.inc.php	(revision 478)
+++ trunk/lib/Cache.inc.php	(revision 479)
@@ -110,5 +110,5 @@
     public function setParam($params)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (isset($params) && is_array($params)) {
@@ -129,5 +129,5 @@
     public function getParam($param)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (array_key_exists($param, $this->_params)) {
@@ -151,5 +151,5 @@
     public function set($key, $var, $allow_oversized=false)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (true !== $this->getParam('enabled')) {
Index: trunk/lib/Captcha.inc.php
===================================================================
--- trunk/lib/Captcha.inc.php	(revision 478)
+++ trunk/lib/Captcha.inc.php	(revision 479)
@@ -149,5 +149,5 @@
     public function __construct()
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
     
         $this->secret_key = $app->getParam('signing_key');
@@ -166,5 +166,5 @@
     public function getAsciiNumber($num=null)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
     
         if (!isset($num)) {
Index: trunk/lib/Cart.inc.php
===================================================================
--- trunk/lib/Cart.inc.php	(revision 478)
+++ trunk/lib/Cart.inc.php	(revision 479)
@@ -82,5 +82,5 @@
     public function __construct($namespace='')
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         $this->_ns = $namespace;
@@ -114,5 +114,5 @@
     public function getParam($param)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
     
         if (array_key_exists($param, $this->_params)) {
@@ -279,5 +279,5 @@
     public function sum($key='extended_price')
     {
-		$sum = 0;
+        $sum = 0;
         switch ($key) {
         case 'items' :
@@ -285,5 +285,5 @@
             break;
 
-		case 'extended_price' :
+        case 'extended_price' :
             foreach ($_SESSION['_cart'][$this->_ns]['items'] as $item_id => $specs) {
                 $sum += isset($specs[$key]) && is_numeric($specs[$key]) ? $specs[$key] : 0;
Index: trunk/lib/Currency.inc.php
===================================================================
--- trunk/lib/Currency.inc.php	(revision 478)
+++ trunk/lib/Currency.inc.php	(revision 479)
@@ -54,5 +54,5 @@
     public function __construct($params=array())
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         // Set custom parameters.
@@ -96,5 +96,5 @@
     public function getParam($param)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
     
         if (array_key_exists($param, $this->_params)) {
Index: trunk/lib/DB.inc.php
===================================================================
--- trunk/lib/DB.inc.php	(revision 478)
+++ trunk/lib/DB.inc.php	(revision 479)
@@ -101,5 +101,5 @@
     public function setParam($params)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (isset($params) && is_array($params)) {
@@ -120,5 +120,5 @@
     public function getParam($param)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (array_key_exists($param, $this->_params)) {
@@ -139,5 +139,5 @@
     public function connect()
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (!$this->getParam('db_name') || !$this->getParam('db_user') || !$this->getParam('db_pass')) {
@@ -339,5 +339,5 @@
     public function tableExists($table, $use_cached_results=true)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (!$this->_connected) {
Index: trunk/lib/DBSessionHandler.inc.php
===================================================================
--- trunk/lib/DBSessionHandler.inc.php	(revision 478)
+++ trunk/lib/DBSessionHandler.inc.php	(revision 479)
@@ -53,5 +53,5 @@
     public function __construct($db, $params=array())
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
     
         $this->_params = array_merge($this->_params, $params);
@@ -96,5 +96,5 @@
     public function initDB($recreate_db=false)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
     
         static $_db_tested = false;
Index: trunk/lib/Email.inc.php
===================================================================
--- trunk/lib/Email.inc.php	(revision 478)
+++ trunk/lib/Email.inc.php	(revision 479)
@@ -120,5 +120,5 @@
     public function setParam($params)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (isset($params) && is_array($params)) {
@@ -147,5 +147,5 @@
     public function getParam($param)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (array_key_exists($param, $this->_params)) {
@@ -167,5 +167,5 @@
     public function setTemplate($template)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         // Load file, using include_path.
@@ -191,5 +191,5 @@
     public function setString($string)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if ('' == trim($string)) {
@@ -215,5 +215,5 @@
     public function replace($replacements)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         // Ensure template exists.
@@ -252,5 +252,5 @@
     public function send($to=null, $from=null, $subject=null, $headers=null)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         // Use arguments if provided.
@@ -335,5 +335,5 @@
         if (ini_get('safe_mode')) {
             $ret = mb_send_mail($final_to, $this->_params['subject'], $final_body, $final_headers);
-	    } else {
+        } else {
             $ret = mb_send_mail($final_to, $this->_params['subject'], $final_body, $final_headers, $envelope_sender_header);
         }
@@ -366,5 +366,5 @@
     public function validEmail($email)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         // If an array, check values recursively.
Index: trunk/lib/FormValidator.inc.php
===================================================================
--- trunk/lib/FormValidator.inc.php	(revision 478)
+++ trunk/lib/FormValidator.inc.php	(revision 479)
@@ -79,5 +79,5 @@
     public function setParam($params)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (isset($params) && is_array($params)) {
@@ -98,5 +98,5 @@
     public function getParam($param)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (array_key_exists($param, $this->_params)) {
@@ -465,5 +465,5 @@
     public function validateEmail($form_name, $strict=false)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         $email = getFormData($form_name);
Index: trunk/lib/Hierarchy.inc.php
===================================================================
--- trunk/lib/Hierarchy.inc.php	(revision 478)
+++ trunk/lib/Hierarchy.inc.php	(revision 479)
@@ -115,5 +115,5 @@
     public function toStringID($child_type=null, $child_id=null)
     {
-			$app =& App::getInstance();
+            $app =& App::getInstance();
 
             if (!isset($child_type) || !isset($child_id)) {
@@ -149,5 +149,5 @@
     public function toArrayID(&$node)
     {
-			$app =& App::getInstance();
+            $app =& App::getInstance();
 
             if (preg_match('/^([[:alnum:]]+)__-?([[:digit:]]+)$/', $node, $node_parts)) {
@@ -169,6 +169,6 @@
     public function insertNode($parents, $child_type=null, $child_id=null, $relationship_type=null, $title='')
     {
-		$app =& App::getInstance();
-		$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
         if (!isset($child_type) || !isset($child_id)) {
@@ -248,6 +248,6 @@
     public function deleteNode($child_type=null, $child_id=null)
     {
-		$app =& App::getInstance();
-		$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
         if (!isset($child_type) || !isset($child_id)) {
@@ -298,8 +298,8 @@
     public function moveNode($new_parents=null, $child_type=null, $child_id=null, $relationship_type=null, $title='')
     {
-			$app =& App::getInstance();
-			$db =& DB::getInstance();
-
-	        if (!isset($child_type) || !isset($child_id)) {
+            $app =& App::getInstance();
+            $db =& DB::getInstance();
+
+            if (!isset($child_type) || !isset($child_id)) {
             if ($this->node_init) {
                 $child_type =& $this->child_type;
@@ -375,6 +375,6 @@
     public function getParents($child_type=null, $child_id=null, $type_constraint=null, $order='')
     {
-		$app =& App::getInstance();
-		$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
         if (!isset($child_type) || !isset($child_id)) {
@@ -426,6 +426,6 @@
     public function getNode($child_type=null, $child_id=null)
     {
-		$app =& App::getInstance();
-		$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
         if (!isset($child_type) || !isset($child_id)) {
@@ -470,6 +470,6 @@
     public function getChildren($child_type=null, $child_id=null, $type_constraint=null, $order='')
     {
-		$app =& App::getInstance();
-		$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
         if (!isset($child_type) || !isset($child_id)) {
@@ -522,6 +522,6 @@
     public function getNumberChildren($child_type=null, $child_id=null, $type_constraint=null)
     {
-		$app =& App::getInstance();
-		$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
         if (!isset($child_type) || !isset($child_id)) {
@@ -563,5 +563,5 @@
     public function isLeaf($child_type=null, $child_id=null)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (!isset($child_type) || !isset($child_id)) {
@@ -624,5 +624,5 @@
     public function getAllAncestors($child_type, $child_id, $go_linear=false, $_return_flag=true)
     {
-		$db =& DB::getInstance();
+        $db =& DB::getInstance();
 
         static $output = array();
@@ -678,6 +678,6 @@
     public function nodeExists($child_type=null, $child_id=null, $parent_type=null, $parent_id=null, $relationship_type=null)
     {
-		$app =& App::getInstance();
-		$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
         if (!isset($child_type) || !isset($child_id)) {
@@ -730,5 +730,5 @@
     public function &getNodeList($preselected=null, $child_type=null, $child_id=null, $type_constraint=null, $include_curr=false, $order='', $_indent=0, $_return_flag=true)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         static $output = array();
@@ -803,5 +803,5 @@
     public function rebuildSubnodeQty($type_constraint=null)
     {
-		$db =& DB::getInstance();
+        $db =& DB::getInstance();
 
         // Reset all the category counters to zero.
@@ -827,5 +827,5 @@
     public function setSubnodeQtyToParents($child_type, $child_id, $num_children)
     {
-		$db =& DB::getInstance();
+        $db =& DB::getInstance();
 
         $db->query("
Index: trunk/lib/Image.inc.php
===================================================================
--- trunk/lib/Image.inc.php	(revision 478)
+++ trunk/lib/Image.inc.php	(revision 479)
@@ -44,5 +44,5 @@
     {
         if (!is_array($params)) {
-        	trigger_error(sprintf('Parameters not specified properly.', null), E_USER_ERROR);
+            trigger_error(sprintf('Parameters not specified properly.', null), E_USER_ERROR);
         }
         $defaults = array(
Index: trunk/lib/ImageThumb.inc.php
===================================================================
--- trunk/lib/ImageThumb.inc.php	(revision 478)
+++ trunk/lib/ImageThumb.inc.php	(revision 479)
@@ -118,5 +118,5 @@
     public function setParam($params)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (isset($params) && is_array($params)) {
@@ -162,5 +162,5 @@
     public function getParam($param)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (array_key_exists($param, $this->_params)) {
@@ -182,5 +182,5 @@
     public function setSpec($spec, $index=null)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         // A little sanity checking.
@@ -273,5 +273,5 @@
     public function processAll($runtime_specs=null)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         // Ensure we have a source.
@@ -315,5 +315,5 @@
     public function processFile($file_name, $runtime_specs=null)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         // Source file determined by provided file_name.
@@ -454,5 +454,5 @@
     private function _resizeWithNetpbm($source_file, $dest_file, $spec)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         // Define pnmscale arguments.
@@ -523,5 +523,5 @@
     private function _resizeWithGD($source_file, $dest_file, $spec)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         // Get original file dimensions and type.
@@ -664,5 +664,5 @@
     public function deleteThumbs($file_name, $use_glob=false)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         // Ensure we have a source.
@@ -702,5 +702,5 @@
     public function deleteOriginal($file_name)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         // Ensure we have a source.
@@ -735,5 +735,5 @@
     public function exists($file_name)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         // Ensure we have a source.
@@ -768,5 +768,5 @@
     private function _createDestDirs($filename=null)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         // Keep track of directories we've already created.
@@ -826,5 +826,5 @@
     private function _raiseMsg($message, $type, $file, $line)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if ($this->getParam('display_messages') === true || (is_int($this->getParam('display_messages')) && $this->getParam('display_messages') & $type > 0)) {
Index: trunk/lib/JS.inc.php
===================================================================
--- trunk/lib/JS.inc.php	(revision 478)
+++ trunk/lib/JS.inc.php	(revision 479)
@@ -50,5 +50,5 @@
     public function setParam($params)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (isset($params) && is_array($params)) {
@@ -69,5 +69,5 @@
     public function getParam($param)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (array_key_exists($param, $this->_params)) {
@@ -89,5 +89,5 @@
     public function setFile($file, $realms='')
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (!is_array($realms)) {
@@ -117,5 +117,5 @@
     public function headers($realm='')
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         $realm = '' == $realm ? 'default' : $realm;
Index: trunk/lib/Lock.inc.php
===================================================================
--- trunk/lib/Lock.inc.php	(revision 478)
+++ trunk/lib/Lock.inc.php	(revision 479)
@@ -75,5 +75,5 @@
     public function __construct($auth_object)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (!method_exists($auth_object, 'get') || !method_exists($auth_object, 'getUsername')) {
@@ -98,6 +98,6 @@
     public function initDB($recreate_db=false)
     {
-		$app =& App::getInstance();
-		$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
         static $_db_tested = false;
@@ -160,5 +160,5 @@
     public function getParam($param)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (array_key_exists($param, $this->_params)) {
@@ -181,6 +181,6 @@
     public function select($record_table_or_lock_id, $record_key=null, $record_val=null)
     {
-		$app =& App::getInstance();
-		$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
         $this->initDB();
@@ -233,5 +233,5 @@
     public function isMine()
     {
-		$db =& DB::getInstance();
+        $db =& DB::getInstance();
 
         $this->initDB();
@@ -261,5 +261,5 @@
     public function set($record_table, $record_key, $record_val, $title='')
     {
-		$db =& DB::getInstance();
+        $db =& DB::getInstance();
 
         $this->initDB();
@@ -307,6 +307,6 @@
     public function remove()
     {
-		$app =& App::getInstance();
-		$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
         $this->initDB();
@@ -329,6 +329,6 @@
     public function removeAll($user_id=null)
     {
-		$app =& App::getInstance();
-		$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
         $this->initDB();
@@ -353,5 +353,5 @@
     public function _auto_timeout()
     {
-		$db =& DB::getInstance();
+        $db =& DB::getInstance();
 
         static $_timeout_run = false;
@@ -374,5 +374,5 @@
     public function dieErrorPage()
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         $app->dieURL(sprintf('%s?lock_id=%s&boomerang=%s', $this->getParam('error_url'), $this->data['lock_id'], urlencode(absoluteMe())));
@@ -384,5 +384,5 @@
     public function printErrorHTML()
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         ?>
Index: trunk/lib/MCVE.inc.php
===================================================================
--- trunk/lib/MCVE.inc.php	(revision 478)
+++ trunk/lib/MCVE.inc.php	(revision 479)
@@ -45,5 +45,5 @@
     public function __construct($username, $password)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         // Ensure PHP was compiled with the MCVE functions.
@@ -60,5 +60,5 @@
     private function _connect()
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if ($this->connected) {
@@ -146,5 +146,5 @@
     public function sendTrans($tid, $type='', $hide_msg=false)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         // Finalize structuring of  to MCVE and ready it to be sent
Index: trunk/lib/Navigation.inc.php
===================================================================
--- trunk/lib/Navigation.inc.php	(revision 478)
+++ trunk/lib/Navigation.inc.php	(revision 479)
@@ -55,5 +55,5 @@
     public function __construct($params=null)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (isset($params) && is_array($params)) {
@@ -93,5 +93,5 @@
     public function setParam($params)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (isset($params) && is_array($params)) {
@@ -112,5 +112,5 @@
     public function getParam($param)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (array_key_exists($param, $this->_params)) {
@@ -229,5 +229,5 @@
     public function getBreadcrumbs()
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if ($this->getParam('breadcrumbs')) {
Index: trunk/lib/PEdit.inc.php
===================================================================
--- trunk/lib/PEdit.inc.php	(revision 478)
+++ trunk/lib/PEdit.inc.php	(revision 479)
@@ -123,5 +123,5 @@
     public function setParam($params)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (isset($params) && is_array($params)) {
@@ -142,5 +142,5 @@
     public function getParam($param)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (array_key_exists($param, $this->_params)) {
@@ -161,5 +161,5 @@
     public function start($initialize_data_file=false)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (!is_dir($this->getParam('data_dir'))) {
@@ -219,5 +219,5 @@
     public function set($name, $options=array())
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         $name = preg_replace('/\s/', '_', $name);
@@ -253,5 +253,5 @@
     public function formBegin()
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (!$this->_authorized || empty($this->_data)) {
@@ -401,5 +401,5 @@
     public function printVersions()
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if ($this->_authorized && $this->op == 'Versions') {
@@ -444,5 +444,5 @@
     private function _fileHash()
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         return md5($app->getParam('signing_key') . $_SERVER['PHP_SELF']);
@@ -459,5 +459,5 @@
     private function _loadDataFile()
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (!file_exists($this->_data_file)) {
@@ -498,5 +498,5 @@
     private function _initializeDataFile()
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         $app->logMsg(sprintf('Initializing data file: %s', $this->_data_file), LOG_INFO, __FILE__, __LINE__);
@@ -514,5 +514,5 @@
     private function _writeData()
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (!$this->_authorized) {
@@ -562,5 +562,5 @@
     private function _filePutContents($filename, $content)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         // Ensure requested filename is within the pedit data dir.
@@ -612,5 +612,5 @@
     private function _createVersion()
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (!$this->_authorized) {
@@ -650,5 +650,5 @@
     private function _deleteOldVersions()
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         $version_files = $this->_getVersions();
@@ -709,5 +709,5 @@
     private function _restoreVersion($version)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (!$this->_authorized) {
Index: trunk/lib/PageNumbers.inc.php
===================================================================
--- trunk/lib/PageNumbers.inc.php	(revision 478)
+++ trunk/lib/PageNumbers.inc.php	(revision 479)
@@ -95,5 +95,5 @@
     public function setPerPage($per_page, $default=25, $save_value=true)
     {
-    	// (1) By provided argument, if valid.
+        // (1) By provided argument, if valid.
         // (2) By saved preference, if available.
         // (3) Set to default value if provided and valid.
@@ -160,5 +160,5 @@
     public function calculate()
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (!$this->set_per_page_initialized) {
@@ -214,6 +214,6 @@
     public function getLimitSQL()
     {
-		$app =& App::getInstance();
-		$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
         if (is_numeric($this->first_item) && is_numeric($this->_per_page)) {
@@ -232,5 +232,5 @@
     public function printPerPageLinks($query_key='per_page')
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         $sp = '';
@@ -262,5 +262,5 @@
     public function getPageNumURL($page_number, $carry_args=null)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         return $app->oHREF($this->url_base . $page_number, $carry_args);
Index: trunk/lib/PageSequence.inc.php
===================================================================
--- trunk/lib/PageSequence.inc.php	(revision 478)
+++ trunk/lib/PageSequence.inc.php	(revision 479)
@@ -153,5 +153,5 @@
     public function setCurrent($step_id)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (false !== ($pos = $this->getPosition($step_id))) {
@@ -279,5 +279,5 @@
     public function printEditLink($step_id=null)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         $pos = isset($step_id) ? $this->getPosition($step_id) : $this->getPosition();
@@ -344,5 +344,5 @@
     private function _auto_timeout()
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (isset($_SESSION[$this->seq]['last_access_time'])
Index: trunk/lib/PayPal.inc.php
===================================================================
--- trunk/lib/PayPal.inc.php	(revision 478)
+++ trunk/lib/PayPal.inc.php	(revision 479)
@@ -97,5 +97,5 @@
     public function setButtonDefaults($type, $options)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (!is_array($options) || empty($options)) {
@@ -129,5 +129,5 @@
     public function newButton($type, $name, $options=null)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (!isset($this->_default_button_options[$type])) {
@@ -164,5 +164,5 @@
     public function getLink($name)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (!isset($this->_buttons[$name])) {
@@ -236,5 +236,5 @@
     public function setParam($params)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (isset($params) && is_array($params)) {
@@ -255,5 +255,5 @@
     public function getParam($param)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
     
         if (array_key_exists($param, $this->_params)) {
@@ -292,5 +292,5 @@
     public function processIPN()
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (getPost('test_ipn') == '1' || $this->getParam('test_mode')) {
@@ -353,5 +353,5 @@
     public function verifiedIPN()
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (!isset($this->_ipn_response)) {
Index: trunk/lib/Prefs.inc.php
===================================================================
--- trunk/lib/Prefs.inc.php	(revision 478)
+++ trunk/lib/Prefs.inc.php	(revision 479)
@@ -259,5 +259,5 @@
         }
         if (!is_scalar($val) && !is_array($val) && !is_object($val)) {
-            $app->logMsg(sprintf('Value is not a string-compatible type (%s=%s)', $key, getDump($val)), LOG_WARNING, __FILE__, __LINE__);
+            $app->logMsg(sprintf('Value is not a compatible data type (%s=%s)', $key, getDump($val)), LOG_WARNING, __FILE__, __LINE__);
             return false;
         }
Index: trunk/lib/ScriptTimer.inc.php
===================================================================
--- trunk/lib/ScriptTimer.inc.php	(revision 478)
+++ trunk/lib/ScriptTimer.inc.php	(revision 479)
@@ -31,23 +31,23 @@
     private $_timing_cumulative_times = array();
     
-	public function start($name='default')
-	{
+    public function start($name='default')
+    {
         $this->_timing_start_times[$name] = explode(' ', microtime());
-	}
-	
-	public function stop($name='default')
-	{
-	    if (!isset($this->_timing_stop_times[$name]) || !isset($this->_timing_cumulative_times[$name])) {
-	        $this->_timing_stop_times[$name] = null;
-	        $this->_timing_cumulative_times[$name] = null;
-	    }
+    }
+    
+    public function stop($name='default')
+    {
+        if (!isset($this->_timing_stop_times[$name]) || !isset($this->_timing_cumulative_times[$name])) {
+            $this->_timing_stop_times[$name] = null;
+            $this->_timing_cumulative_times[$name] = null;
+        }
         $this->_timing_stop_times[$name] = explode(' ', microtime());
         $this->_timing_cumulative_times[$name] += $this->getTime($name);
-	}
-	
-	public function getTime($name='default')
-	{
+    }
+    
+    public function getTime($name='default')
+    {
         if (!isset($this->_timing_start_times[$name])) {
-	        return 0;
+            return 0;
         }
         if (!isset($this->_timing_stop_times[$name])) {
@@ -60,23 +60,23 @@
         $current += $stop_time[0] - $this->_timing_start_times[$name][0];
         return $current;
-	}
-	
-	public function printAll($sort_by_time=false)
-	{
-	    $names = array_map('strlen', array_keys($this->_timing_start_times));
-	    sort($names);
-	    $name_len = end($names);
-	    
-	    if ($sort_by_time) {
-	       arsort($this->_timing_cumulative_times, SORT_NUMERIC);
-	    }
-	    
-	    $this->_timing_cumulative_times['TOTAL'] = array_sum($this->_timing_cumulative_times);
+    }
+    
+    public function printAll($sort_by_time=false)
+    {
+        $names = array_map('strlen', array_keys($this->_timing_start_times));
+        sort($names);
+        $name_len = end($names);
+        
+        if ($sort_by_time) {
+           arsort($this->_timing_cumulative_times, SORT_NUMERIC);
+        }
+        
+        $this->_timing_cumulative_times['TOTAL'] = array_sum($this->_timing_cumulative_times);
 
         echo '<pre>';
-	    foreach ($this->_timing_cumulative_times as $name => $time) {
-	        printf("\n%-{$name_len}s $this->time_format", $name, $time);
-	    }
+        foreach ($this->_timing_cumulative_times as $name => $time) {
+            printf("\n%-{$name_len}s $this->time_format", $name, $time);
+        }
         echo '</pre>';
-	}
+    }
 }
Index: trunk/lib/SortOrder.inc.php
===================================================================
--- trunk/lib/SortOrder.inc.php	(revision 478)
+++ trunk/lib/SortOrder.inc.php	(revision 479)
@@ -176,6 +176,6 @@
     public function getSortOrderSQL()
     {
-		$app =& App::getInstance();
-		$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
         if (!isset($this->_columns[mb_strtolower($this->sort_by)])) {
@@ -207,5 +207,5 @@
     public function printSortHeader($col, $col_name, $default_order='ASC')
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (isset($this->_columns[$col])) {
Index: trunk/lib/SpellCheck.inc.php
===================================================================
--- trunk/lib/SpellCheck.inc.php	(revision 478)
+++ trunk/lib/SpellCheck.inc.php	(revision 479)
@@ -82,5 +82,5 @@
     public function __construct($params)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (!extension_loaded('pspell')) {
@@ -120,5 +120,5 @@
     public function setParam($params)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (isset($params) && is_array($params)) {
@@ -139,5 +139,5 @@
     public function getParam($param)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
     
         if (array_key_exists($param, $this->_params)) {
@@ -214,5 +214,5 @@
     public function add($word)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if ($this->_use_personal_wordlist) {
@@ -239,5 +239,5 @@
     public function save()
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if ($this->_use_personal_wordlist) {
Index: trunk/lib/TemplateGlue.inc.php
===================================================================
--- trunk/lib/TemplateGlue.inc.php	(revision 478)
+++ trunk/lib/TemplateGlue.inc.php	(revision 479)
@@ -74,6 +74,6 @@
 function getSetEnumFieldValues($db_table, $db_col, $sort=false)
 {
-	$app =& App::getInstance();
-	$db =& DB::getInstance();
+    $app =& App::getInstance();
+    $db =& DB::getInstance();
 
     $qid = $db->query("SHOW COLUMNS FROM " . $db->escapeString($db_table) . " LIKE '" . $db->escapeString($db_col) . "'",false);
@@ -315,5 +315,5 @@
 function printSelectForm($db_table, $key_column, $val_column, $preselected, $first=false, $extra_clause='', $sql_format='SELECT %1$s, %2$s FROM %3$s %4$s')
 {
-	$db =& DB::getInstance();
+    $db =& DB::getInstance();
 
     // Sometimes preselected comes as a comma list.
@@ -359,5 +359,5 @@
 function printDBCheckboxes($db_table, $key_column, $val_column, $preselected, $columns=1, $extra_clause='', $vert_columns=false)
 {
-	$db =& DB::getInstance();
+    $db =& DB::getInstance();
 
     // Sometimes preselected comes as a comma list.
Index: trunk/lib/Upload.inc.php
===================================================================
--- trunk/lib/Upload.inc.php	(revision 478)
+++ trunk/lib/Upload.inc.php	(revision 479)
@@ -76,5 +76,5 @@
     public function setParam($params)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (isset($params) && is_array($params)) {
@@ -120,5 +120,5 @@
     public function getParam($param)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (array_key_exists($param, $this->_params)) {
@@ -146,5 +146,5 @@
     public function process($form_name, $custom_file_name=null)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         // Ensure we have a upload directory.
@@ -353,5 +353,5 @@
     public function deleteFile($file_name, $use_glob=false)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         // Ensure we have a upload directory.
@@ -386,5 +386,5 @@
     public function moveFile($old_name, $new_name)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         // Ensure we have an upload directory.
@@ -421,5 +421,5 @@
     public function exists($file_name)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         // Ensure we have a upload directory.
@@ -518,5 +518,5 @@
     public function _raiseMsg($message, $type, $file, $line)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if ($this->getParam('display_messages') === true || (is_int($this->getParam('display_messages')) && $this->getParam('display_messages') & $type > 0)) {
Index: trunk/lib/Utilities.inc.php
===================================================================
--- trunk/lib/Utilities.inc.php	(revision 478)
+++ trunk/lib/Utilities.inc.php	(revision 479)
@@ -29,9 +29,9 @@
  * Print variable dump.
  *
- * @param  mixed 	$var      	The variable to dump.
- * @param  bool  	$display  	Print the dump in <pre> tags or hide it in html comments (non-CLI only).
- * @param  bool  	$var_dump 	Use var_dump instead of print_r.
- * @param  string  	$file 		Value of __FILE__.
- * @param  string  	$line	 	Value of __LINE__
+ * @param  mixed    $var        The variable to dump.
+ * @param  bool     $display    Print the dump in <pre> tags or hide it in html comments (non-CLI only).
+ * @param  bool     $var_dump   Use var_dump instead of print_r.
+ * @param  string   $file       Value of __FILE__.
+ * @param  string   $line       Value of __LINE__
  */
 function dump($var, $display=false, $var_dump=false, $file='', $line='')
@@ -45,18 +45,18 @@
         var_dump($var);
     } else {
-		// Print human-readable descriptions of invisible types.
-		if (null === $var) {
-			echo '(null)';
-		} else if (true === $var) {
-			echo '(bool: true)';
-		} else if (false === $var) {
-			echo '(bool: false)';
-		} else if (is_scalar($var) && '' === $var) {
-			echo '(empty string)';
-		} else if (is_scalar($var) && preg_match('/^\s+$/', $var)) {
-			echo '(only white space)';
-		} else {
-			print_r($var);
-		}
+        // Print human-readable descriptions of invisible types.
+        if (null === $var) {
+            echo '(null)';
+        } else if (true === $var) {
+            echo '(bool: true)';
+        } else if (false === $var) {
+            echo '(bool: false)';
+        } else if (is_scalar($var) && '' === $var) {
+            echo '(empty string)';
+        } else if (is_scalar($var) && preg_match('/^\s+$/', $var)) {
+            echo '(only white space)';
+        } else {
+            print_r($var);
+        }
     }
     if (defined('_CLI')) {
@@ -144,5 +144,5 @@
 function oTxt($text, $preserve_html=false)
 {
-	$app =& App::getInstance();
+    $app =& App::getInstance();
 
     $search = array();
@@ -546,5 +546,5 @@
 function filePutContents($filename, $content)
 {
-	$app =& App::getInstance();
+    $app =& App::getInstance();
 
     // Open file for writing and truncate to zero length.
@@ -754,5 +754,5 @@
 function escapedList($in, $separator="', '")
 {
-	$db =& DB::getInstance();
+    $db =& DB::getInstance();
 
     if (is_array($in) && !empty($in)) {
@@ -982,7 +982,7 @@
 function mailmanAddMember($email, $list, $send_welcome_message=false)
 {
-	$app =& App::getInstance();
-
-	$add_members = '/usr/lib/mailman/bin/add_members';
+    $app =& App::getInstance();
+
+    $add_members = '/usr/lib/mailman/bin/add_members';
     // FIXME: checking of executable is disabled.
     if (true || is_executable($add_members) && is_readable($add_members)) {
@@ -1014,5 +1014,5 @@
 function mailmanRemoveMember($email, $list, $send_user_ack=false)
 {
-	$app =& App::getInstance();
+    $app =& App::getInstance();
 
     $remove_members = '/usr/lib/mailman/bin/remove_members';
Index: trunk/lib/Validator.inc.php
===================================================================
--- trunk/lib/Validator.inc.php	(revision 478)
+++ trunk/lib/Validator.inc.php	(revision 479)
@@ -251,8 +251,8 @@
     static public function validateStrDate($val)
     {
-		if (is_string($val) && '' === trim($val)) {
-		    // Don't be too bothered about empty strings.
-		    return true;
-		}
+        if (is_string($val) && '' === trim($val)) {
+            // Don't be too bothered about empty strings.
+            return true;
+        }
 
         $timestamp = strtotime($val);
Index: trunk/lib/Version.inc.php
===================================================================
--- trunk/lib/Version.inc.php	(revision 478)
+++ trunk/lib/Version.inc.php	(revision 479)
@@ -82,5 +82,5 @@
     public function __construct($auth_object)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (!method_exists($auth_object, 'get') || !method_exists($auth_object, 'getUsername')) {
@@ -105,6 +105,6 @@
     public function initDB($recreate_db=false)
     {
-		$app =& App::getInstance();
-		$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
         static $_db_tested = false;
@@ -173,5 +173,5 @@
     public function getParam($param)
     {
-		$app =& App::getInstance();
+        $app =& App::getInstance();
 
         if (array_key_exists($param, $this->_params)) {
@@ -195,6 +195,6 @@
     public function create($record_table, $record_key, $record_val, $title='', $notes='')
     {
-		$app =& App::getInstance();
-		$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
         $this->initDB();
@@ -256,6 +256,6 @@
     public function restore($version_id)
     {
-		$app =& App::getInstance();
-		$db =& DB::getInstance();
+        $app =& App::getInstance();
+        $db =& DB::getInstance();
 
         $this->initDB();
@@ -317,5 +317,5 @@
     public function deleteOld($record_table, $record_key, $record_val)
     {
-		$db =& DB::getInstance();
+        $db =& DB::getInstance();
 
         $this->initDB();
@@ -384,5 +384,5 @@
     public function getList($record_table, $record_key, $record_val)
     {
-		$db =& DB::getInstance();
+        $db =& DB::getInstance();
 
         $this->initDB();
@@ -421,5 +421,5 @@
     public function getVerson($version_id)
     {
-		$db =& DB::getInstance();
+        $db =& DB::getInstance();
 
         $this->initDB();
@@ -442,5 +442,5 @@
     public function getData($version_id)
     {
-		$db =& DB::getInstance();
+        $db =& DB::getInstance();
 
         $this->initDB();
@@ -468,5 +468,5 @@
     public function getCurrent($record_table, $record_key, $record_val)
     {
-		$db =& DB::getInstance();
+        $db =& DB::getInstance();
 
         $this->initDB();
